Package org.eclipse.rdf4j.repository

## Class SparqlOrderByTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.SparqlOrderByTest

-     public abstract class SparqlOrderByTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SparqlOrderByTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Repository` | `createRepository()` |
    `protected abstract Repository` | `newRepository()` |
    `void` | `setUp()` |
    `static void` | `setUpClass()` |
    `void` | `tearDown()` |
    `void` | `testQuery1()` |
    `void` | `testQuery2()` |
    `void` | `testQuery3()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparqlOrderByTest

          public SparqlOrderByTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### testQuery1

          public void testQuery1()
                          throws Exception

      Throws:
        `Exception`

    - #### testQuery2

          public void testQuery2()
                          throws Exception

      Throws:
        `Exception`

    - #### testQuery3

          public void testQuery3()
                          throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`